#ifndef BISON_Y_TAB_H
# define BISON_Y_TAB_H

#ifndef YYSTYPE
typedef union
{
  // The type of the basic tokens returned by the lexer.
  token *tok_val;

  // Comment strings that we need to deal with mid-rule.
  octave_comment_list *comment_type;

  // Types for the nonterminals we generate.
  char sep_type;
  tree *tree_type;
  tree_matrix *tree_matrix_type;
  tree_cell *tree_cell_type;
  tree_expression *tree_expression_type;
  tree_constant *tree_constant_type;
  tree_identifier *tree_identifier_type;
  tree_index_expression *tree_index_expression_type;
  tree_colon_expression *tree_colon_expression_type;
  tree_argument_list *tree_argument_list_type;
  tree_parameter_list *tree_parameter_list_type;
  tree_command *tree_command_type;
  tree_if_command *tree_if_command_type;
  tree_if_clause *tree_if_clause_type;
  tree_if_command_list *tree_if_command_list_type;
  tree_switch_command *tree_switch_command_type;
  tree_switch_case *tree_switch_case_type;
  tree_switch_case_list *tree_switch_case_list_type;
  tree_decl_elt *tree_decl_elt_type;
  tree_decl_init_list *tree_decl_init_list_type;
  tree_decl_command *tree_decl_command_type;
  tree_statement *tree_statement_type;
  tree_statement_list *tree_statement_list_type;
  tree_plot_command *tree_plot_command_type;
  subplot *subplot_type;
  subplot_list *subplot_list_type;
  plot_limits *plot_limits_type;
  plot_range *plot_range_type;
  subplot_using *subplot_using_type;
  subplot_style *subplot_style_type;
  subplot_axes *subplot_axes_type;
  octave_user_function *octave_user_function_type;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	ADD_EQ	257
# define	SUB_EQ	258
# define	MUL_EQ	259
# define	DIV_EQ	260
# define	LEFTDIV_EQ	261
# define	POW_EQ	262
# define	EMUL_EQ	263
# define	EDIV_EQ	264
# define	ELEFTDIV_EQ	265
# define	EPOW_EQ	266
# define	AND_EQ	267
# define	OR_EQ	268
# define	LSHIFT_EQ	269
# define	RSHIFT_EQ	270
# define	LSHIFT	271
# define	RSHIFT	272
# define	EXPR_AND_AND	273
# define	EXPR_OR_OR	274
# define	EXPR_AND	275
# define	EXPR_OR	276
# define	EXPR_NOT	277
# define	EXPR_LT	278
# define	EXPR_LE	279
# define	EXPR_EQ	280
# define	EXPR_NE	281
# define	EXPR_GE	282
# define	EXPR_GT	283
# define	LEFTDIV	284
# define	EMUL	285
# define	EDIV	286
# define	ELEFTDIV	287
# define	EPLUS	288
# define	EMINUS	289
# define	QUOTE	290
# define	TRANSPOSE	291
# define	PLUS_PLUS	292
# define	MINUS_MINUS	293
# define	POW	294
# define	EPOW	295
# define	NUM	296
# define	IMAG_NUM	297
# define	STRUCT_ELT	298
# define	NAME	299
# define	END	300
# define	PLOT	301
# define	STRING	302
# define	STYLE	303
# define	AXES_TAG	304
# define	FOR	305
# define	WHILE	306
# define	DO	307
# define	UNTIL	308
# define	IF	309
# define	ELSEIF	310
# define	ELSE	311
# define	SWITCH	312
# define	CASE	313
# define	OTHERWISE	314
# define	BREAK	315
# define	CONTINUE	316
# define	FUNC_RET	317
# define	UNWIND	318
# define	CLEANUP	319
# define	TRY	320
# define	CATCH	321
# define	GLOBAL	322
# define	STATIC	323
# define	END_OF_INPUT	324
# define	LEXICAL_ERROR	325
# define	FCN	326
# define	VARARGIN	327
# define	VARARGOUT	328
# define	ALL_VA_ARGS	329
# define	USING	330
# define	TITLE	331
# define	WITH	332
# define	AXES	333
# define	COLON	334
# define	OPEN_BRACE	335
# define	CLOSE_BRACE	336
# define	CLEAR	337
# define	UNARY	338


extern YYSTYPE yylval;

#endif /* not BISON_Y_TAB_H */
